Cantera 2.6.0

Classes | Namespaces | Variables
Boundary1D.h File Reference

Boundary objects for one-dimensional simulations. More...

`#include "Domain1D.h"`
`#include "cantera/thermo/SurfPhase.h"`
`#include "cantera/kinetics/InterfaceKinetics.h"`
`#include "StFlow.h"`
Include dependency graph for Boundary1D.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Boundary1D
| The base class for boundaries between one-dimensional spatial domains. More...
class | Inlet1D
| An inlet. More...
class | Empty1D
| A terminator that does nothing. More...
class | Symm1D
| A symmetry plane. More...
class | Outlet1D
| An outlet. More...
class | OutletRes1D
| An outlet with specified composition. More...
class | Surf1D
| A non-reacting surface. More...
class | ReactingSurf1D
| A reacting surface. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
const int | LeftInlet = 1
const int | RightInlet = -1

## Detailed Description

Boundary objects for one-dimensional simulations.

Definition in file Boundary1D.h.